Game Develop Core: gd::CallbacksForRenamingObject Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::CallbacksForRenamingObject Class Reference
Inheritance diagram for gd::CallbacksForRenamingObject:
[legend]

## Public Member Functions

| CallbacksForRenamingObject (std::string &plainExpression_, std::string oldName_, std::string newName_)
virtual void | OnConstantToken (std::string text)
virtual void | OnNumber (std::string text)
virtual void | OnOperator (std::string text)
virtual void | OnStaticFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::ExpressionMetadata &expressionInfo)
virtual void | OnStaticFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::StrExpressionMetadata &expressionInfo)
virtual void | OnObjectFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::ExpressionMetadata &expressionInfo)
virtual void | OnObjectFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::StrExpressionMetadata &expressionInfo)
virtual void | OnObjectAutomatismFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::ExpressionMetadata &expressionInfo)
virtual void | OnObjectAutomatismFunction (std::string functionName, const std::vector< gd::Expression > &parameters, const gd::StrExpressionMetadata &expressionInfo)
virtual bool | OnSubMathExpression (const gd::Platform &platform, const gd::Project &project, const gd::Layout &layout, gd::Expression &expression)
virtual bool | OnSubTextExpression (const gd::Platform &platform, const gd::Project &project, const gd::Layout &layout, gd::Expression &expression)

## Additional Inherited Members

Public Attributes inherited from gd::ParserCallbacks
std::string | firstErrorStr
size_t | firstErrorPos

The documentation for this class was generated from the following file:

- EventsRefactorer.cpp